Bug 166172 - Kernel crash on 2.4.21-34 base due to kiobuf_init() setting the initialized state when expand_kiobuf() was not called.
Kernel crash on 2.4.21-34 base due to kiobuf_init() setting the initialized s...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
: Regression
Depends On:
Blocks: 156320
  Show dependency treegraph
 
Reported: 2005-08-17 15:03 EDT by Issue Tracker
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 11:35:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2005-08-17 15:03:41 EDT
Escalated to Bugzilla from IssueTracker
Comment 1 Larry Woodman 2005-08-17 15:05:33 EDT
[...network console startup...]
ipmi_si: Trying "kcs" at I/O port 0xca2
ipmi_si: Trying "smic" at I/O port 0xca9
ipmi_si: Trying "bt" at I/O port 0xe4
ipmi_si: Unable to find any System Interface(s)
ipmi_kcs: No KCS @ port 0x0ca2
ipmi_kcs: Unable to find any KCS interfaces
Unable to handle kernel paging requestf601524a
 at virtual address 00001002
*pde = 35c72001
 printing eip:
*pte = 00000000
Oops: 0000
audit netconsole autofs4 tg3 microcode emcphr emcpmpap emcpmpaa emcpmpc emcpmp
sg emcp emcpsf loop lvm-mod keybdev mousedev hid input usb-ohci usbcore ext3 jb
CPU:    0
EIP:    0060:[<f601524a>]    Tainted: P 
EFLAGS: 00010a46

EIP is at ___strtok_Rsmp_29805c13 [] 0x35ada5c2 (2.4.21-34.ELsmp/i686)
eax: f5c56480   ebx: f5c1bf00   ecx: 00000000   edx: 00000202
esi: 00000002   edi: 00002000   ebp: f5c1bf00   esp: c03f5d84
ds: 0068   es: 0068   ss: 0068
Process swapper (pid: 0, stackpage=c03f5000)
Stack: 00002000 c016a921 f5c56480 f6015da8 00002000 00000008 f74642d0 f6015244 
       00000000 f8816aa5 f6015244 00000001 00000000 f75d9618 00000000 00000010 
       00000000 f7464200 f8816db0 f7464200 00000001 00000010 00000001 00000001 
Call Trace:   [<c016a921>] end_buffer_io_kiobuf_async [kernel] 0x91 (0xc03f5d88)
[<f8816aa5>] __scsi_end_request [scsi_mod] 0x125 (0xc03f5da8)
[<f8816db0>] scsi_io_completion_Rsmp_d4f2f11b [scsi_mod] 0x180 (0xc03f5dcc)
[<f882be0b>] rw_intr [sd_mod] 0x7b (0xc03f5e20)
[<f8a4f837>] EmcpReleaseRequest [emcp] 0x37 (0xc03f5e4c)
[<f8a4fe4c>] PowerPlatformTopIodone [emcp] 0x27c (0xc03f5e60)
[<f8a492c5>] PowerTopIodone [emcp] 0x15 (0xc03f5e8c)
[<f8a49517>] PowerProcessTopIodonePirps [emcp] 0x47 (0xc03f5ea4)
[<f8a49926>] PowerBottomIodoneNew [emcp] 0x3a6 (0xc03f5ebc)
[<f8a4f9d5>] PowerPlatformBottomIodone [emcp] 0x135 (0xc03f5ee4)
[<f880e497>] scsi_finish_command_Rsmp_7e6416ed [scsi_mod] 0xb7 (0xc03f5f08)
[<f880e249>] scsi_softirq_handler [scsi_mod] 0x159 (0xc03f5f2c)
[<c012fc65>] do_softirq [kernel] 0x105 (0xc03f5f54)
[<c010e018>] do_IRQ [kernel] 0x148 (0xc03f5f74)
[<c010ded0>] do_IRQ [kernel] 0x0 (0xc03f5f98)
[<c0109100>] default_idle [kernel] 0x0 (0xc03f5fa0)
[<c0109100>] default_idle [kernel] 0x0 (0xc03f5fb4)
[<c0109129>] default_idle [kernel] 0x29 (0xc03f5fc8)
[<c01091c2>] cpu_idle [kernel] 0x42 (0xc03f5fd4)
[<c0107000>] stext [kernel] 0x0 (0xc03f5fe0)

Code: f3 14 00 10 00 00 00 00 00 00 00 e8 00 00 00 00 00 00 00 e8

Comment 5 Ernie Petrides 2005-08-19 18:10:38 EDT
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-35.EL).
Comment 8 Red Hat Bugzilla 2005-09-28 11:35:04 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html

Note You need to log in before you can comment on or make changes to this bug.